Page MenuHomePhabricator | MITK

[dashboard] mitk::NavigationToolStorageSerializer uses directory without write permission on windows continous dart client
Open, HighPublic

Description

The error message is: "Could not write tool to tempory directory: C:\Users\admin\AppData\Local\Temp\/8oEMsd"

Examples:

http://cdash.mitk.org/testDetails.php?test=7443117&build=411116

and

http://cdash.mitk.org/testDetails.php?test=7444511&build=411165

This bug was found by tests which use this method. The first step would be to extend the test of mitk::IOUtil itself, so that it detects the bug as well.

Event Timeline

User franza has pushed new remote branch:

bug-17199-IOUtil-TemporaryDirectoryWithoutWritePermission

[6bbba2]: Merge branch 'bug-17199-IOUtil-TemporaryDirectoryWithoutWritePermissio

Merged commits:

2014-02-13 17:22:32 Alfred Franz [0136f1]
COMP(#17199): temporarily deactivated tests because of a bug in mitk::IOUtil (17199)

Last comments were wrong. The temporary directory is not from mitk::IOUtil but from mitkStandardFileLocations. In fact, since mitkStandardFileLocations should not be used anymore, using mitk::IOUtil instead might fix is bug

User franza has pushed new remote branch:

bug-17199-FixTempDirectory

User franza has pushed new remote branch:

bug-17199-TempDirectoryFixIntegration

[a14e43]: Merge branch 'bug-17199-TempDirectoryFixIntegration'

Merged commits:

2014-02-19 16:43:20 Alfred Franz [b61211]
activated tests again


2014-02-19 16:42:23 Alfred Franz [2b263f]
Merge branch 'bug-17199-FixTempDirectory' into bug-17199-TempDirectoryFixIntegration


2014-02-19 16:37:32 Alfred Franz [065808]
renamed some variables


2014-02-19 16:36:16 Alfred Franz [2a0931]
fixed test ... (no idea why order of method calls is important in this case...)


2014-02-19 16:20:38 Alfred Franz [b23605]
added another check to the setup method


2014-02-19 16:19:45 Alfred Franz [041276]
navigation tool writer is now also using the temporary directories of IOUtil


2014-02-13 17:53:12 Alfred Franz [398fef]
changed the temp directory to mitk::IOUtil::CreateTemporaryDirectory(), but it does not work yet

Test failed again, see http://cdash.mitk.org/testDetails.php?test=7569768&build=416542

This fail might be caused by T17310.

Try to replace the method mitk::IOUtil::CreateTemporaryFile() as described in T17310, this might help.

[2fac5a]: Merge branch 'bug-17199-SerializerTempDirectory'

Merged commits:

2014-02-26 16:25:08 Alfred Franz [5f7002]
Changed temp directory to fix random fails on dart clients

[b39751]: Merge branch 'bug-17199-SerializerTempDirectory'

Merged commits:

2014-02-26 16:31:33 Alfred Franz [b860ca]
also changed name and path of the temporary file of the test

User franza has pushed new remote branch:

bug-17199-SerializerTempDirectoryOldBranch
kislinsk edited projects, added MITK (2016-11); removed MITK.Aug 1 2016, 10:48 PM
kislinsk moved this task from Backlog to IGT on the MITK (2016-11) board.Oct 28 2016, 10:06 AM
kislinsk edited projects, added MITK; removed MITK (2016-11).Feb 6 2017, 11:24 AM